# The different URLs this service does use
from django.urls import path
from django.conf.urls import url
from django.contrib import admin

# Import the classes for the views
from .views import Register, ChangeData, ChangePassword, ResetPassword, DeleteAccount, Index, LogOut, ResetRequest

urlpatterns = [
    path('register/', Register.as_view(), name="register"),
    path('changedata/', ChangeData.as_view(), name="change_data"),
    path('resetpassword/', ResetPassword.as_view(), name="reset_password"),
    path('changepassword/', ChangePassword.as_view(), name="change_password"),
    path('deleteaccount/', DeleteAccount.as_view(), name="account_delete"),
    path('index/', Index.as_view(), name="index"),
    path('logout/', LogOut.as_view(), name="logout"),
    path('reset/<str:user>/<str:token>/', ResetRequest.as_view()),
    path('reset/', ResetRequest.as_view(), name="reset"),
    path('', Index.as_view(), name="index"),
]
